## starpu 1.2.2+dfsg

=== debian/changelog ===
starpu (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-0 to libstarpu-1.2-2 and libstarpumpi-1.2-0 to
    libstarpumpi-1.2-1 according to soname bumps.
    - patches/cnf: Remove, merged upstream.
    - patches/examples: Remove, merged upstream.
    - patches/nvcc_noccbin: Remove, merged upstream.
    - patches/doc: Add from upstream to ship doc source.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Depend on gfortran (Closes: Bug#877028)
  * rules: Use NVCC_CC instead of setting -ccbin in NVCCFLAGS.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:05:59 +0100
