=== debian/control ===
Source: starpu
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
#	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
	qt5-qmake, qtbase5-dev, libqt5opengl5-dev, libqwt-dev, libqwt-headers,
	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
	guile-2.0,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	gfortran,
#	gcc-6, g++-6, gfortran-6, gcc-6-plugin-dev, gcc,
#	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
#	clang-3.8,
	help2man, doxygen, doxygen-latex,
#	nvidia-cuda-toolkit,
#Build-Conflicts: gcc-6, g++-6
Standards-Version: 4.1.1
Section: libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
Vcs-Browser: https://gforge.inria.fr/scm/browser.php?group_id=9532

Package: libstarpu-dev
Section: libdevel
Architecture: any
Depends: libstarpu-1.2-2 (= ${binary:Version}), libstarpufft-1.2-0 (= ${binary:Version}), libstarpumpi-1.2-1 (= ${binary:Version}), libsocl-1.2-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
Conflicts: libstarpu-contrib-dev
#Provides: libstarpu-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.

Package: libstarpu-1.2-2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib-1.2-2
#Provides: libstarpu-1.2-2
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library

Package: libstarpufft-1.2-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribfft-1.2-0
#Provides: libstarpufft-1.2-0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.

Package: libstarpumpi-1.2-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribmpi-1.2-1
#Provides: libstarpumpi-1.2-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.

Package: starpu-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-tools
#Provides: starpu-tools
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.

Package: starpu-top
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
Description: Task scheduler for heterogeneous multicore machines - top
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a graphical top tool.

Package: starpu-examples
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-examples
#Provides: starpu-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.

Package: libsocl-1.2-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-contrib-1.2-0
#Provides: libsocl-1.2-0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
