## starpu 1.2.3+dfsg

=== debian/changelog ===
starpu (1.2.3+dfsg-4) unstable; urgency=medium

  * control: Make -contrib packages provide -any virtual packages, so that
    packages in main can depend on main | -any and thus get apt avoid
    installing contrib and non-free packages unexpectedly (Closes: Bug#884309)
  * control: Deactivate guile dependency, which was only used for plugin tests
    (Closes: Bug#885230, Bug#885234)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:57:08 +0100

starpu (1.2.3+dfsg-3) unstable; urgency=medium

  * Apply upstream fix for macro test.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 15:10:40 +0100

starpu (1.2.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 13:12:57 +0100

starpu (1.2.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-2 to libstarpu-1.2-3 and libstarpumpi-1.2-1 to
    libstarpumpi-1.2-2 according to soname bumps.
    - patches/qt5: Refresh.
    - patches/doc: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 18:32:51 +0100
