=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	qt5-qmake, qtbase5-dev, libqt5opengl5-dev, libqwt-dev, libqwt-headers,
 	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
-	guile-2.0,
+#	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
 #	gcc-6, g++-6, gfortran-6, gcc-6-plugin-dev, gcc,
@@ -35,9 +35,9 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.2-2 (= ${binary:Version}), libstarpufft-1.2-0 (= ${binary:Version}), libstarpumpi-1.2-1 (= ${binary:Version}), libsocl-1.2-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.2-3 (= ${binary:Version}) | libstarpu-any-1.2-3, libstarpufft-1.2-0 (= ${binary:Version}) | libstarpu-anyfft-1.2-0, libstarpumpi-1.2-2 (= ${binary:Version}) | libstarpu-anympi-1.2-2, libsocl-1.2-0 (= ${binary:Version}) | libsocl-any-1.2-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
-#Provides: libstarpu-dev
+Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -48,13 +48,14 @@
  efficiently as possible.
  .
  This package contains development headers and libraries.
+# This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.2-2
+Package: libstarpu-1.2-3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.2-2
-#Provides: libstarpu-1.2-2
+Conflicts: libstarpu-contrib-1.2-3
+Provides: libstarpu-any-1.2-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -65,13 +66,14 @@
  efficiently as possible.
  .
  This package contains the main StarPU library
+# This "contrib" version is built against CUDA.
 
 Package: libstarpufft-1.2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-contribfft-1.2-0
-#Provides: libstarpufft-1.2-0
+Provides: libstarpu-anyfft-1.2-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -82,13 +84,14 @@
  efficiently as possible.
  .
  This package contains a hybrid CPU+GPU FFT library.
+# This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.2-1
+Package: libstarpumpi-1.2-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.2-1
-#Provides: libstarpumpi-1.2-1
+Conflicts: libstarpu-contribmpi-1.2-2
+Provides: libstarpu-anympi-1.2-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -99,13 +102,14 @@
  efficiently as possible.
  .
  This package contains MPI extensions for StarPU.
+# This "contrib" version is built against CUDA.
 
 Package: starpu-tools
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-tools
-#Provides: starpu-tools
+Provides: starpu-any-tools
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -116,6 +120,7 @@
  efficiently as possible.
  .
  This package contains StarPU tools.
+# This "contrib" version is built against CUDA.
 
 Package: starpu-top
 Section: utils
@@ -139,7 +144,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-examples
-#Provides: starpu-examples
+Provides: starpu-any-examples
 Description: Task scheduler for heterogeneous multicore machines - exs
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -150,13 +155,14 @@
  efficiently as possible.
  .
  This package contains application examples.
+# This "contrib" version is built against CUDA.
 
 Package: libsocl-1.2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libsocl-contrib-1.2-0
-#Provides: libsocl-1.2-0
+Provides: libsocl-any-1.2-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -167,3 +173,4 @@
  efficiently as possible.
  .
  This package contains an OpenCL-compatible library interface to StarPU.
+# This "contrib" version is built against CUDA.
