=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://gforge.inria.fr/frs/?group_id=1570 \
(?:|.*/)starpu(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
