## starpu 1.2.5+dfsg

=== debian/changelog ===
starpu (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.2-4 to libstarpu-1.2-5 due to soname bump.
  * Bump Standards-Version to 4.2.0 (no changes).
  * tests: Add autopkgtest.
  * control: Mark most packages Multi-Arch: same.
  * info: Remove starpu.info, not built any more by upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Sep 2018 11:53:26 +0200
