## starpu 1.2.6+dfsg

=== debian/changelog ===
starpu (1.2.6+dfsg-7ubuntu1) disco; urgency=medium

  * Build with GCC 8

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Mar 2019 10:03:59 +0000

starpu (1.2.6+dfsg-7) unstable; urgency=medium

  * rules: Properly pass -k to make check.
  * debian/patches/heat-opengl: Do not try opengl display without X display.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Feb 2019 11:03:38 +0100

starpu (1.2.6+dfsg-6) unstable; urgency=medium

  * patches/doc-nopdf: Disable building pdf version of doxygen documentation
    (Closes: Bug#921301, Bug#921766).
  * rules: Fix docdir.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Feb 2019 19:57:23 +0200

starpu (1.2.6+dfsg-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Build with CUDA 9.2 and GCC 7.  (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jan 2019 17:52:08 +0100

starpu (1.2.6+dfsg-4) unstable; urgency=medium

  * debian/rules: Trick nvcc into compiling with g++ 8.
  * debian/control: Do not build-depend on gcc-6 (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:48:57 +0100

starpu (1.2.6+dfsg-3) unstable; urgency=medium

  * Upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Nov 2018 14:03:31 +0100

starpu (1.2.6+dfsg-2) unstable; urgency=medium

  * Use upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 01:37:12 +0100

starpu (1.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Sep 2018 12:24:09 +0200

starpu (1.2.5+dfsg-2) unstable; urgency=medium

  * rules: Sed all changelog entries into starpu-contrib instead of just the
    first, to fix version tracking.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Sep 2018 21:03:09 +0200
