=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: starpu
 Priority: optional
-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
 	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
@@ -20,13 +21,14 @@
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-#	gcc-6, g++-6, gfortran-6, gcc-6-plugin-dev, gcc,
-#	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
-#	clang-3.8,
+#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev, gcc,
+#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev,
+	g++, gcc-8-plugin-dev,
+#	clang-5.0,
 	help2man, doxygen, doxygen-latex,
-#	nvidia-cuda-toolkit,
-#Build-Conflicts: gcc-6, g++-6
-Standards-Version: 4.1.1
+#	nvidia-cuda-toolkit (>= 9.2),
+#Build-Conflicts: gcc-8, g++-8
+Standards-Version: 4.2.0
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
@@ -35,7 +37,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.2-3 (= ${binary:Version}) | libstarpu-any-1.2-3, libstarpufft-1.2-0 (= ${binary:Version}) | libstarpu-anyfft-1.2-0, libstarpumpi-1.2-2 (= ${binary:Version}) | libstarpu-anympi-1.2-2, libsocl-1.2-0 (= ${binary:Version}) | libsocl-any-1.2-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.2-5 (= ${binary:Version}) | libstarpu-any-1.2-5, libstarpufft-1.2-0 (= ${binary:Version}) | libstarpu-anyfft-1.2-0, libstarpumpi-1.2-3 (= ${binary:Version}) | libstarpu-anympi-1.2-3, libsocl-1.2-0 (= ${binary:Version}) | libsocl-any-1.2-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -50,12 +52,13 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.2-3
+Package: libstarpu-1.2-5
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.2-3
-Provides: libstarpu-any-1.2-3
+Conflicts: libstarpu-contrib-1.2-5
+Provides: libstarpu-any-1.2-5
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -71,6 +74,7 @@
 Package: libstarpufft-1.2-0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-contribfft-1.2-0
 Provides: libstarpu-anyfft-1.2-0
@@ -86,12 +90,13 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.2-2
+Package: libstarpumpi-1.2-3
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.2-2
-Provides: libstarpu-anympi-1.2-2
+Conflicts: libstarpu-contribmpi-1.2-3
+Provides: libstarpu-anympi-1.2-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -142,6 +147,7 @@
 Package: starpu-examples
 Section: science
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-examples
 Provides: starpu-any-examples
@@ -160,6 +166,7 @@
 Package: libsocl-1.2-0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libsocl-contrib-1.2-0
 Provides: libsocl-any-1.2-0
