=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 
 # This is the version we want to build starpu against (may have to change
 # according to plugin support)
-GCC_VERSION          := 7
+GCC_VERSION          := 8
 
 # These are the best versions that nvcc supports.
-CONTRIB_GCC_VERSION  := 7
-CONTRIB_CLANG_VERSION  := 5.0
+CONTRIB_GCC_VERSION  := 8
+CONTRIB_CLANG_VERSION  := 7.0
 
 ifeq ($(source),starpu)
 #CC=gcc-$(GCC_VERSION)
