## starpu 1.3.2+dfsg

=== debian/changelog ===
starpu (1.3.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * libsocl-contrib-1.3-0.lintian-overrides,
    libstarpu-contrib-1.3-1.lintian-overrides,
    libstarpu-contribfft-1.3-0.lintian-overrides,
    libstarpu-contribmpi-1.3-0.lintian-overrides: Suppress warning.
  * patches/man: Add descriptions to NAME sections of manpages.
  * patches/flops-nan: Accept flops being nan, as set when flops computation
    is incoherent (Closes: Bug#939744).
  * patches/flops-incoherent: Fix detecting flops computation incoherency, and
    make it emit a warning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Sep 2019 13:48:48 +0200

starpu (1.3.2+dfsg-3) unstable; urgency=medium

  * patches/no-schedulers-test: Avoid running schedulers.sh test, which is
    extremely long and breaks the build.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:36:03 +0200

starpu (1.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 14:35:16 +0200

starpu (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-0 to libstarpu-1.3-1 according to SONAME bump.
    - patches/relax-gcc-plugin: Remove.
    - patches/qt5: Remove.
    - patches/heat-opengl: Merged.
    - patches/refman: Merged.
  * Add libhdf5-dev build-dep.
  * Make starpu-tools recommends python3 for starpu_mpi_comm_matrix.
  * rules: Drop now-useless V definition.
  * control: Drop gcc-7 dep (closes: #924012).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 16:50:29 +0200

starpu (1.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to soname bump.
    - patches/reproducibility: Merged upstream.
    - patches/refman: Add file missing in upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Feb 2019 15:39:07 +0200

starpu (1.2.6+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with CUDA 10.1 and GCC 8.  (Closes: #924014).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jul 2019 18:16:30 +0200
