=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: starpu
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
 	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
@@ -15,20 +14,17 @@
 	libfftw3-dev,
 	libhwloc-dev,
 	libleveldb-dev,
-#	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	qt5-qmake, qtbase5-dev, libqt5opengl5-dev, libqwt-dev, libqwt-headers,
+	libhdf5-dev,
 	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev, gcc,
-#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev,
-	g++, gcc-8-plugin-dev,
-#	clang-5.0,
+#	gcc-8, g++-8, gfortran-8,
+#	clang-7,
 	help2man, doxygen, doxygen-latex,
-#	nvidia-cuda-toolkit (>= 9.2),
+#	nvidia-cuda-toolkit (>= 10.1),
 #Build-Conflicts: gcc-8, g++-8
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
@@ -37,7 +33,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.2-5 (= ${binary:Version}) | libstarpu-any-1.2-5, libstarpufft-1.2-0 (= ${binary:Version}) | libstarpu-anyfft-1.2-0, libstarpumpi-1.2-3 (= ${binary:Version}) | libstarpu-anympi-1.2-3, libsocl-1.2-0 (= ${binary:Version}) | libsocl-any-1.2-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.3-1 (= ${binary:Version}) | libstarpu-any-1.3-1, libstarpufft-1.3-0 (= ${binary:Version}) | libstarpu-anyfft-1.3-0, libstarpumpi-1.3-0 (= ${binary:Version}) | libstarpu-anympi-1.3-0, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -52,13 +48,13 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.2-5
+Package: libstarpu-1.3-1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.2-5
-Provides: libstarpu-any-1.2-5
+Conflicts: libstarpu-contrib-1.3-1
+Provides: libstarpu-any-1.3-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -71,13 +67,13 @@
  This package contains the main StarPU library
 # This "contrib" version is built against CUDA.
 
-Package: libstarpufft-1.2-0
+Package: libstarpufft-1.3-0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft-1.2-0
-Provides: libstarpu-anyfft-1.2-0
+Conflicts: libstarpu-contribfft-1.3-0
+Provides: libstarpu-anyfft-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -90,13 +86,13 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.2-3
+Package: libstarpumpi-1.3-0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.2-3
-Provides: libstarpu-anympi-1.2-3
+Conflicts: libstarpu-contribmpi-1.3-0
+Provides: libstarpu-anympi-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -115,6 +111,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-tools
 Provides: starpu-any-tools
+Recommends: python3
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -126,23 +123,6 @@
  .
  This package contains StarPU tools.
 # This "contrib" version is built against CUDA.
-
-Package: starpu-top
-Section: utils
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
-Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
-Description: Task scheduler for heterogeneous multicore machines - top
- StarPU is a runtime system that offers support for heterogeneous
- multicore machines. While many efforts are devoted to design efficient
- computation kernels for those architectures (e.g. to implement BLAS
- kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
- offloading such kernels (and implementing data coherency across
- the machine), but it also makes sure the kernels are executed as
- efficiently as possible.
- .
- This package contains a graphical top tool.
 
 Package: starpu-examples
 Section: science
@@ -163,13 +143,13 @@
  This package contains application examples.
 # This "contrib" version is built against CUDA.
 
-Package: libsocl-1.2-0
+Package: libsocl-1.3-0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-contrib-1.2-0
-Provides: libsocl-any-1.2-0
+Conflicts: libsocl-contrib-1.3-0
+Provides: libsocl-any-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
